Retry Webhook
curl --request POST \
--url https://johnajayi-avenue.hf.space/v1/webhook-logs/:log_id/retry \
--header 'x-api-key: <api-key>'import requests
url = "https://johnajayi-avenue.hf.space/v1/webhook-logs/:log_id/retry"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://johnajayi-avenue.hf.space/v1/webhook-logs/:log_id/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "l9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"payload": {
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"api_version": "2026-07-01",
"created_at": "2026-07-01T12:00:00Z",
"data": {
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"amount": 2500000
}
},
"status": "DELIVERED",
"http_status_code": 200,
"response_body": "OK",
"attempt_count": 1,
"next_retry_at": null,
"delivered_at": "2026-07-01T12:00:05Z",
"created_at": "2026-07-01T12:00:00Z"
}
}
Webhook Logs
Retry Webhook
Manually trigger a retry for a failed outbound webhook delivery.
POST
/
v1
/
webhook-logs
/
:log_id
/
retry
Retry Webhook
Request Headers
string
required
Your live or test API key.
Path Parameters
string
required
The webhook log ID.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"id": "l9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"payload": {
"event_id": "e9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"event_type": "ledger.credit",
"api_version": "2026-07-01",
"created_at": "2026-07-01T12:00:00Z",
"data": {
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"amount": 2500000
}
},
"status": "DELIVERED",
"http_status_code": 200,
"response_body": "OK",
"attempt_count": 1,
"next_retry_at": null,
"delivered_at": "2026-07-01T12:00:05Z",
"created_at": "2026-07-01T12:00:00Z"
}
}
Was this page helpful?